unit fEventsDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Db, DBTables, Grids, DBGrids, HDSDBGrds, ExtCtrls, DBCtrls, StdCtrls;

type
  TEventsDialog = class(TForm)
    dtaEvents: TDataSource;
    grdEvent: THDSSortDBGrid;
    qryEvents: TQuery;
    nvgBioLife: TDBNavigator;
    mmoInstructions: TMemo;
    procedure grdEventSort(Column: THDSSortColumn);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  EventsDialog: TEventsDialog;

implementation

{$R *.DFM}

procedure TEventsDialog.grdEventSort(Column: THDSSortColumn);
begin
  with Column do
    if Sort.SortStyle <> cssNone then
    begin
      case Sort.SortStyle of
        cssAscendent: qryEvents.SQL.Text:= 'SELECT * FROM EVENTS'#13#10 +
                                         'ORDER BY ' + FieldName;
        cssDescendent: qryEvents.SQL.Text:= 'SELECT * FROM EVENTS'#13#10 +
                                         'ORDER BY ' + FieldName + ' DESC';
      end;

    qryEvents.Close;
    qryEvents.Open;
  end;
end;

end.
