unit fGlyphsDialog;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  Grids, HDSGrds, StdCtrls, FileCtrl, ExtCtrls;

type
  TGlyphsDialog = class(TForm)
    grdGlyphs: THDSGlyphGrid;
    pnlFiles: TPanel;
    pnlDirectory: TPanel;
    cbxDrivers: TDriveComboBox;
    lbxDirectory: TDirectoryListBox;
    grdFiles: THDSEllipseGrid;
    procedure lbxDirectoryChange(Sender: TObject);
    procedure grdFilesSelectCell(Sender: TObject; ACol, ARow: Integer;
      var CanSelect: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  GlyphsDialog: TGlyphsDialog;

implementation

{$R *.DFM}

procedure TGlyphsDialog.lbxDirectoryChange(Sender: TObject);
begin
  grdGlyphs.Directory:= lbxDirectory.Directory;
  grdFiles.Cols[0].Clear;
  grdFiles.RowCount:= grdGlyphs.FileList.Count;
  grdFiles.Cols[0].Assign(grdGlyphs.FileList);
end;

procedure TGlyphsDialog.grdFilesSelectCell(Sender: TObject; ACol, ARow: Integer;
  var CanSelect: Boolean);
begin
  grdGlyphs.SelectedIndex:= ARow;
end;

end.
